<?
/*
=======================================
Опросы для Dcms-Social
Автор: Искатель
---------------------------------------
Этот скрипт является платным
---------------------------------------
Контакты
ICQ: 587863132
http://dcms-social.ru
=======================================
*/
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/adm_check.php';
include_once '../../sys/inc/user.php';



$set['title']='Создание ✔ опроса ツ';

include_once '../../sys/inc/thead.php';

title();

if (!isset($user)){
		
		header("location: index.php?");
		
}

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `poll` WHERE `time` > ".$ftime." AND `id_user` = ".$user['id'].""), 0) >= 3)
$err[] = 'Вы не можете создавать более 3х опросов в день';



// Если действий небыло

if (!isset($_SESSION['post']))
{
	$_SESSION['post'] = NULL;
}


// Если добавляют или убирают форму

if (isset($_POST['plus']) || isset($_POST['minus']))
{
	$_SESSION['post'] = $_POST['msg'];
	
	for ($i=1; $i < $_SESSION['forms']; $i++)
	{
		$_SESSION['variant_' . $i] = $_POST['variant_' . $i];
	}

}



if (isset($_POST['msg']) && !isset($_POST['plus']) && !isset($_POST['minus']))
{


$msg = my_esc($_POST['msg']);

if (strlen2($msg)>250){ $err[] = 'Опрос содержит более 250 символов'; }

if (strlen2($msg)<3){ $err[] = 'Опрос содержит менее 3 символов'; }


// Если добавляют или убирают форму


	
	for ($i=1; $i < $_SESSION['forms']; $i++)
	{
		$_SESSION['variant_' . $i] = $_POST['variant_' . $i];
		
		if (strlen2($_POST['variant_' . $i]) > 125){ $err[] = 'Вариант №' . $i . ' содержит более 250 символов'; }
		
		if (strlen2($_POST['variant_' . $i]) < 1){ $err[] = 'Вариант №' . $i . ' содержит менее 1 символа'; }
		
	}





	if (!isset($err)){


		mysql_query("INSERT INTO `poll` (`time`, `msg`, `id_user`) values('$time', '$msg', '$user[id]')");
		
		$ID = mysql_insert_id();	
		
		
		
		
			for ($i=1; $i < $_SESSION['forms']; $i++)
			{
				$otvet = my_esc($_POST['variant_' . $i]);
				
				mysql_query("INSERT INTO `poll_variant` (`num`, `otvet`, `id_poll`) values('$i', '$otvet', '$ID')");
				
				$_SESSION['variant_' . $i] = NULL;
			}
			
			

		/*
		===================================
		Лента
		===================================
		*/
		
		$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '".$user['id']."' AND `i` = '1'");
		
		while ($f = mysql_fetch_array($q))
		{
			$a=get_user($f['frend']);
			
			$lentaSet = mysql_fetch_array(mysql_query("SELECT * FROM `tape_set` WHERE `id_user` = '".$a['id']."' LIMIT 1")); // Общая настройка ленты

			if ($f['lenta_poll'] == 1 && $lentaSet['lenta_poll'] == 1 ) // фильтр рассылки
			mysql_query("INSERT INTO `tape` (`id_user`,`avtor`, `type`, `time`, `id_file`) values('$a[id]', '$user[id]', 'poll', '$time', '$ID')"); 

		}
		
		
		$_SESSION['forms'] = 3;
		
		$_SESSION['post'] = null;

		$_SESSION['message'] = 'Опрос успешно создан';

		header('Location: poll.php?id=' . $ID);

		exit;
	}

}

if (isset($_POST['plus']) && $_SESSION['forms'] < 11){ $_SESSION['forms'] = $_SESSION['forms'] + 1; header('Location: ?'); exit; } // Добавляем формы ответа

if (isset($_POST['minus']) && $_SESSION['forms'] > 3){ $_SESSION['forms'] = $_SESSION['forms'] - 1; header('Location: ?'); exit; } // Убираем формы ответа

err();
aut();


if (isset($_SESSION['forms'])) // Колличество форм для ответа
	$forms = intval($_SESSION['forms']);
else $forms = 3;

$_SESSION['forms'] = $forms; 


echo '<form method="post" name="message" action="create.php">';

$msg2 = $_SESSION['post']; // Выводим сообщение в форме

if ($set['web'] && is_file(H.'style/themes/' . $set['set_them'] . '/altername_post_form.php'))
include_once H.'style/themes/' . $set['set_them'] . '/altername_post_form.php';
else
echo $tPanel . '<textarea style="margin:2px; background: #fffbce;" name="msg" placeholder="Ваш вопрос...">' . $msg2 . '</textarea><br />';

for ($i=1; $i<$forms; $i++)
{
	
	// Цвет названия форм вариантов
	
	$color = $i.$i.$i; 
	
	$color = $color.$color + $color + $color - ($color / 2);
	
	// Если вариант небыл заполнен
	
	if (!isset($_SESSION['variant_' . $i]))$_SESSION['variant_' . $i] = NULL;
	
	// Форма вариантов
	
	echo '<font color="#' . $color . '">Вариант №' . $i . '<br /><input type="text" value="' . htmlspecialchars($_SESSION['variant_' . $i]) . '" style="width:90%; margin:2px; background: #d3fdff;" name="variant_' . $i . '" maxlength="125" placeholder="Введите вариант ответа..."/><br />';
	
}

// Добавляем форму

if ($_SESSION['forms'] < 11)echo '<input name="plus" value="[+] Еще вариант" type="submit" style="width:45%; background: #999; border: #666 solid 1px; padding:1px; margin: 2px;"/> ';

// Убираем форму

if ($_SESSION['forms'] > 3)echo '<input name="minus" value="[-] Убрать вариант" type="submit" style="width:45%; background: #999; border: #666 solid 1px; padding:1px; margin: 2px;"/> ';

echo '<br />';

echo '<input value="Создать опрос" style="margin:2px;" type="submit" />';
echo '</form>';


echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" alt="*"> <a href="index.php">Опросы</a><br />';
echo '</div>';


include_once '../../sys/inc/tfoot.php';
?>